SELECT b.*
  FROM users    AS a,
       statuses AS b
 WHERE a.userId      = b.senderId AND
       a.protect     = false AND
       b.statusId    > /*sinceId*/0 AND
       b.removedTime = 0
 ORDER BY b.statusId DESC
 LIMIT /*limit*/1